# Development Quickstart

**Get up and running with our API and start building AI-powered products today.**&#x20;

Working with the latest version of Traces’ AI can begin as soon as you follow these three steps:

* Obtain your API keys so Traces can authenticate your API request
* Familiarise yourself with the relevant documentation for your product.
* Make a test API request to confirm everything is up and running.

{% hint style="info" %}

### Not a developer?

Talk to our Customer Success Engineer to get the most out of our technology without writing any code
{% endhint %}

Get in touch with the [Customer Success Engineer](https://www.traces.ai/contacts) now.

### **Obtain your API keys**

Traces authenticates your API requests using your account’s API keys. If you don’t have a valid API Key contact your Traces Account Manager.

### **Read relevant documentation**

We have documented the most common use cases for our API. If you are our current customer your version of Traces API may be different as we continuously release new versions and tailor functionality for your individual needs. Follow your cluster URL or log in to the Knowledge Сenter to see the latest updates.

### **Make a test API request**

To check that your integration is working correctly, make a test API request using your API key. We’ve pre-filled some code examples for your convenience.

<mark style="color:green;">`POST`</mark> `http://faf.traces.cloud/api/v1.1/filter-alarm`

#### Headers

| Name                                               | Type   | Description                                    |
| -------------------------------------------------- | ------ | ---------------------------------------------- |
| X-Traces-API-Key<mark style="color:red;">\*</mark> | string | Authorization API key to access Traces FAF API |

#### Request Body

| Name                                       | Type   | Description                                                                  |
| ------------------------------------------ | ------ | ---------------------------------------------------------------------------- |
| metadata<mark style="color:red;">\*</mark> | object | A dictionary with the following keys: "event\_id", "camera\_id", "timestamp" |
| image\_0<mark style="color:red;">\*</mark> | object | frame #1                                                                     |
| image\_1<mark style="color:red;">\*</mark> | object | frame #2                                                                     |
| image\_2<mark style="color:red;">\*</mark> | object | frame #3                                                                     |
| image\_3<mark style="color:red;">\*</mark> | object | frame #4                                                                     |
| image\_4<mark style="color:red;">\*</mark> | object | frame #5                                                                     |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "alarm_confirmed": true,
  "alarm_confidence": 0.7892204529672106,
  "triggered_by": [
    {
      "object_type": "vehicle",
      "action": "moving",
      "bbox": [
        527,
        400,
        827,
        569
      ],
      "frame_id": 0,
      "direction": null
    },
    {
      "object_type": "vehicle",
      "action": "moving",
      "bbox": [
        122,
        399,
        335,
        536
      ],
      "frame_id": 1,
      "direction": null
    },
    {
      "object_type": "vehicle",
      "action": "moving",
      "bbox": [
        202,
        270,
        325,
        337
      ],
      "frame_id": 2,
      "direction": null
    }
  ]
}
```

{% endtab %}

{% tab title="401 " %}

```
{
  "code": "INVALID_API_KEY",
  "description": "API key was not recognized"
}
```

{% endtab %}
{% endtabs %}

### Example

{% tabs %}
{% tab title="Bash" %}

```bash
curl -X POST "http://faf.traces.cloud/api/v1.1/filter-alarm"
 -H "accept: */*"
 -H "X-Traces-API-Key: YOUR_API_KEY"
 -H "Content-Type: multipart/form-data"
 -F "metadata={ "event_id": "ddf27b34-d3b5-41a5-b2a6-3873a589ec09", "camera_id": "b5271b30-aecd-4897-bc95-ff25c8466b9e", "timestamp": 1585840725 }" -F 
"image_0=@customer_frame0.png;type=image/png" -F "image_1=@customer_frame1.png;type=image/png" -F "image_2=@customer_frame2.png;type=image/png" -F "image_3=@customer_frame3.png;type=image/png" -F "image_4=@customer_frame4.png;type=image/png"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.traces.cloud/development-quickstart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
